import { Type, Store } from '@tsed/core';
import { IModuleOptions, registerProvider, Module } from '@tsed/di';

export const APP_OPTIONS = Symbol.for('APP_OPTIONS');

export interface AppOptions extends IModuleOptions {
  bootstrap?: Type<any>;
}

export function AppSettings(options?: AppOptions): Function {
  return Module({ ...options, root: true });
}
