import { Store } from '@tsed/core';

import { AppChannel } from '@ucap/electron-core';

import { ELECTRON_APP } from '../types/electron-app';

export function On(channel: AppChannel) {
  return (target: any, propertyKey: string, descriptor: PropertyDescriptor) => {
    Store.from(target).merge(ELECTRON_APP, {
      handlers: {
        [propertyKey]: {
          channel,
          methodClassName: propertyKey
        }
      }
    });
  };
}
