import { Store } from '@tsed/core';

import { BrowserWindowChannel } from '@ucap/electron-core';

import { ELECTRON_BROWSER_WINDOW } from '../types/electron-browser-window';

export function On(channel: BrowserWindowChannel) {
  return (target: any, propertyKey: string, descriptor: PropertyDescriptor) => {
    Store.from(target).merge(ELECTRON_BROWSER_WINDOW, {
      handlers: {
        [propertyKey]: {
          channel,
          methodClassName: propertyKey
        }
      }
    });
  };
}
